<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');
//echo "<br> Sistema lab. de solos - Tela de login";
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
//echo(" Operador: $nomeOperador<br>");

switch ($tela):

    case 'listar':
        echo '<h2>Contaminantes cadastrados(Apenas cadastrar o nome)</h2>';
        echo '<h2>Depois de cadastrar, precisa enquadrar o contaminante com a especie cultivada.</h2>';
        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');        
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "400px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>
        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
                    <th>Nome científico</th><th>Nome Comum</th><th>Sequencial</th>
                </tr>
            </thead>
            <tbody>
                <?php 
		
                $user = new contaminantes();
				$user->extras_select = "   ";// ele ordena sozinho
                $user->selecionaTudo($user);
                $contador=0;
                while ($res = $user->retornaDados()):
                    $contador++;           
     				echo '<tr>';
  
                    printf('<td>%s',$res->con_nome_cientifico);
                    printf('
					<a href="?m=contaminantes&t=incluir" title="Novo cadastro"><img src="images/add.png" alt="Novo cadastro" /></a>
					<a href="?m=contaminantes&t=editar&id=%s" title="Editar"><img src="images/edit.png" alt="Editar" /></a>
					<a href="?m=EnquadramentoContaminante&t=editar" title="Enquadrar"><img src="images/selection1.png" alt="Enquadrar" /></a>
					 </td>',$res->con_id,$res->con_id);
					
                    printf('<td>%s</td>',$res->con_nome_comum);
                    printf('<td>%s</td>',$contador);
   
					 
					 
					 
                    echo '</tr>';
                endwhile;    
                ?>
            </tbody>
        </table>
		     <!-- SE NAO TEM CLIENTE ALGUM ELE DEVE PODER INSERIR O PRIMEIRO, POIS NAO TEM O SINAL DE + E NAO TEM COMO INSERIR O PRIMEIRO ISSO ABRE UMA FORMA MAS SO APARECE SE NAO TEM NENHUM   -->
             <?php if($contador==0):?>	
		        <form class="userform" method="post" action="">
                <fieldset>
                    <ul>
                    <li class="center">	<input type="button" onclick="location.href='?m=contaminantes&t=incluir'" value="Incluir o primeiro" /></li>
                    </ul>
                </fieldset>
            </form>
			<?php endif; ?>

        <?php        
    break;

    case 'incluir':
	    $duplicado = FALSE;
        echo '<h2>Cadastro de contaminantes</h2>';
        if (post('bt_cadastrar') !== ""):
            $user = new contaminantes(array(
                'con_nome_comum'=>post('con_nome_comum'),
                'con_nome_cientifico'=>post('con_nome_cientifico'),
            ));
            //aqui confere para ver se ja tem o con_con_nome_cientifico_comum mas poderia testar outras coisas para evitar 
			//duplicação mas pode ter duplicado pois 2 lab s podem analisar par ao memso remetente
            if ($user->existeRegistro('con_nome_cientifico',post('con_nome_cientifico'))):
               // printMSG('Este con_nome_comum já está cadastrado, escolha outro endereço.','erro');
                //$duplicado = TRUE;
            endif;
			//echo("duplicado = $duplicado <br>");
            if ($duplicado!=TRUE):
                 $user->inserir($user);
                 $jaco=$user->linhasafetadas;//aqui ele ja me traz o id do cliente. pode ser que eu va precisar isso!!!!
			     //echo("duplicado = $duplicado  jaco=$jaco <br>");
                if ($user->linhasafetadas>0):
                    printMSG('Dados inseridos com sucesso. <a href="'.ADMURL.'?m=contaminantes&t=listar">Exibir cadastros</a>');
                    unset($_POST);
                endif;
            endif;            
        endif;
        ?>
        <script type="text/javascript">
           $(document).ready(function(){
               $(".userform").validate({
                   rules:{
                       con_nome_cientifico:{required:true, minlength:3},
                       con_nome_comum:{required:true, con_nome_comum:true},
                       login:{required:true, minlength:5},
                   }
               });
           });
       </script>
        <form class="userform" method="post" action="">
            <fieldset>
                <legend>Informe os dados para cadastro</legend>
                <ul>
                      <ul>
                    <li>Nome científico:<input type="text" size="50" name="con_nome_cientifico" maxlength="60"    autofocus="autofocus" value="<?php if($resbd) echo $resbd->con_nome_cientifico; ?>" />
				    <li>Nome comum:<input type="text" size="40" name="con_nome_comum" maxlength="80"  value="<?php if($resbd) echo $resbd->con_nome_comum; ?>" />

                    <li class="center">
					<input type="button" onclick="location.href='?m=contaminantes&t=listar'" value="Cancelar" />
					<input type="submit" name="bt_cadastrar" value="Salvar dados" />
					</li>
                </ul>
            </fieldset>
        </form>
        <?php
        break;



    case 'editar':
        echo '<h2>Edição de contaminantes</h2>';
        $sessao = new sessao();
        if (isAdmin()==TRUE || $sessao->getVar('iduser')==get('id')):
            if (get('id') !== ""):
                $id = get('id');
                if (post('bt_editar1') !== ""):
                    $user = new contaminantes(array(
                        'con_nome_cientifico'=>post('con_nome_cientifico'),
                        'con_nome_comum'=>post('con_nome_comum'),
                    ));
                    $user->valorpk = $id;
                    $user->extras_select = "WHERE con_id=$id";
                    $user->selecionaTudo($user);
                    $res = $user->retornaDados();
                    if ($res->con_nome_comum != post('con_nome_comum')):
                        if ($user->existeRegistro('con_nome_comum',post('con_nome_comum'))):
                           // printMSG('Este con_nome_comum já existe no sistema, escolha outro endereço!','erro');
                           // $duplicado = TRUE;
                        endif;
                    endif;
                    if ($duplicado!=TRUE):
                        $user->atualizar($user);
                        if ($user->linhasafetadas==1):
                            printMSG('Dados alterados com sucesso. <a href="?m=contaminantes&t=listar">Exibir cadastros</a>');
                            unset($_POST);
                        else:
                            printMSG('Nenhum dado foi alterado. <a href="?m=clientes&t=listar">Exibir cadastros</a>','alerta');
                        endif;
                    endif;                    
                endif;
                $userbd = new contaminantes();
                $userbd->extras_select = "WHERE con_id=$id";
                $userbd->selecionaTudo($userbd);
                $resbd = $userbd->retornaDados();
            else:
                printMSG('cliente não definido, <a href="?m=clientes&t=listar">escolha um cliente para alterar</a>','erro');
            endif;
			
			
			
			
            ?>
            <script type="text/javascript">
               $(document).ready(function(){
                   $(".userform").validate({
                       rules:{
                           con_nome_cientifico:{required:true, minlength:3},
                           con_nome_comum:{required:true, con_nome_comum:true},
                       }
                   });
               });
           </script>
            <form class="userform" method="post" action="">
                <fieldset>
                    <legend>Informe os dados para alteração</legend>
                    <ul>
				    <li>Nome cientifico:<input type="text" size="35" name="con_nome_cientifico" value="<?php if($resbd) echo $resbd->con_nome_cientifico; ?>" /></li>
				    <li>Nome comum:<input type="text" size="35" name="con_nome_comum" value="<?php if($resbd) echo $resbd->con_nome_comum; ?>" /></li>
                    <li class="center">
					<input type="button" onclick="location.href='?m=contaminantes&t=listar'" value="Cancelar" />
					<input type="submit" name="bt_editar1" value="Salvar Alterações" /></li>
                    </ul>
                </fieldset>
            </form>
        <?php
        else:
            printMSG('Você não tem permissão para acessar esta página. <a href="#" onclick="history.back()">Voltar</a>','erro');
        endif;
    break;

 



    case 'excluir_Reserva':
        echo '<h2>Exclusão de contaminantes</h2>';
        $sessao = new sessao();
        if (isAdmin()==TRUE):
            if (get('id') !== ""):
                $id = get('id');
                if (post('excluir') !== ""):
                    $user = new contaminantes();
                    $user->valorpk = $id;
                    $user->deletar($user);
                    if ($user->linhasafetadas==1):
                        printMSG('Registro excluído com sucesso. <a href="?m=contaminantes&t=listar">Exibir cadastros</a>');
                        unset($_POST);
                    else:
                        printMSG('Nenhum registro foi excluído. <a href="?m=contaminantes&t=listar">Exibir cadastros</a>','alerta');
                    endif;                   
                endif;
                $userbd = new contaminantes();
                $userbd->extras_select = "WHERE con_id=$id";
                $userbd->selecionaTudo($userbd);
                $resbd = $userbd->retornaDados();
            else:
                printMSG('cliente não definido, <a href="?m=contaminantes&t=listar">escolha um cliente para excluir</a>','erro');
            endif;
            ?>
            <form class="userform" method="post" action="">
                <fieldset>
                    <legend>Confira os dados para exclusão</legend>
                    <ul>
                        <li><label for="nome">Nome:</label>
                        <input type="text" disabled="disabled" size="50" name="con_nome_cientifico" value="<?php if($resbd) echo $resbd->con_nome_cientifico; ?>" /></li>
                        <li><label for="con_nome_comum">con_nome_comum:</label>
                        <input type="text" disabled="disabled" size="50" name="con_nome_comum" value="<?php if($resbd) echo $resbd->con_nome_comum; ?>" /></li>
 
                        <li class="center">
						<input type="button" onclick="location.href='?m=contaminantes&t=listar'" value="Cancelar" />
						<input type="submit" name="excluir" value="Confirmar Exclusão" />
						</li>
                    </ul>
                </fieldset>
            </form>
        <?php
        else:
            printMSG('Você não tem permissão para acessar esta página. <a href="#" onclick="history.back()">Voltar</a>','erro');
        endif;
    break;
	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>